# Method: apprecovery.deploy

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/deploy#try-it)

Deploy an already created app recovery action with recovery status DRAFT. Note that this action activates the recovery action for all targeted users and changes its status to ACTIVE.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/appRecoveries/{appRecoveryId}:deploy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. Package name of the app for which recovery action is deployed. |
| `appRecoveryId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. ID corresponding to the app recovery action to deploy. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`